API Reference

Create or schedule a post

POST
/api/v1/posts

Authorization

ApiKeyAuth
x-api-key<token>

API keys are created in Settings → API Keys within your workspace.

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/posts" \  -F type="text" \  -F socialAccountIds="string"
{
  "post": {
    "id": "post_abc",
    "type": "text",
    "content": "string",
    "status": "draft",
    "scheduledAt": "2019-08-24T14:15:22Z",
    "publishedAt": "2019-08-24T14:15:22Z",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "mediaCount": 2,
    "accountCount": 2,
    "accounts": [
      {
        "id": "string",
        "platform": "string",
        "username": "string",
        "displayName": "string",
        "status": "string",
        "platformPostUrl": "string",
        "error": "string"
      }
    ]
  }
}